#
# spec file for package seidl
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           seidl
Summary:        Complementary light pint client
URL:            https://github.com/grisu48/seidl
Version:        0.2
Release:        1.9
License:        MIT
Group:          Metapackages
Source:         %{name}-%{version}.tar.gz
BuildRequires:  golang(API) >= 1.18

%description
seidl is a lightweight pint query utility designed for easy usage. It displays the current SUSE publiccloud images according to customizable filter rules.

In aims at complementing the public-cloud-info-client by the feature to display all current not-deleted and not-deprecated images in a nice table on the console.

%prep
%autosetup -D

%build
make seidl

%install
install -D -m 0755 %{name} "%{buildroot}/%{_bindir}/%{name}"

%files
%doc README.md
%license LICENSE
%{_bindir}/%{name}

%changelog
* Mon Oct  2 2023 Jeff Kowalczyk <jkowalczyk@suse.com>
- Packaging improvements:
  * _service change disabled to manual per osc deprecation warning:
    WARNING: Command 'disabledrun/dr' is obsolete, please convert
    your _service to use 'manual' and then 'manualrun/mr' instead.
  * _service change tar and recompress from buildtime to manual
  * _service obs_scm param revision use git tag
  * _service obs_scm param versionformat use @PARENT_TAG@
  * _service set_version move earlier in service ordering
  * Update to BuildRequires: golang(API) >= 1.18 matching go.mod
  * Drop BuildRequires: fdupes and usage during install step. Go
    application packages have a small number of installed files and
    this hasn't been an issue following the transition from GOPATH
    (where sources were installed) to Go modules where only
    binaries and supporting files e.g. doc, license are installed.
  * Use %%%%name macro where applicable to normalize common lines
    across Go app packages. Also makes renaming binary easier when
    required to handle package name conflict.
* Tue Aug 29 2023 Felix Niederwanger <felix.niederwanger@suse.com>
- Initial package version version 0.2
* Wed May 11 2022 Felix Niederwanger <felix.niederwanger@suse.com>
- seidl is a CLI tool to query Public Cloud Information Tracker
  pint.suse.com. Initial package version 0.1.
